Index: plugins/attachments/_admin.php
===================================================================
--- plugins/attachments/_admin.php	(revision 1365)
+++ plugins/attachments/_admin.php	(revision 1392)
@@ -12,10 +12,16 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$core->addBehavior ('adminPostFormSidebar',array('attachmentAdmin','adminPostFormSidebar'));
+$core->addBehavior ('adminPostFormSidebarItems',array('attachmentAdmin','adminPostFormSidebarItems'));
 $core->addBehavior ('adminPostAfterForm',array('attachmentAdmin','adminPostAfterForm'));
+$core->addBehavior('adminPostHeaders',array('attachmentAdmin','postHeaders'));
 
 class attachmentAdmin
 {
-	public static function adminPostFormSidebar($post) 
+	public static function postHeaders()
+	{
+		return 
+		'<script type="text/javascript" src="index.php?pf=attachments/js/post.js"></script>';
+	}
+	public static function adminPostFormSidebarItems($items,$post) 
 	{
 		if ($post !== null)
@@ -23,6 +29,5 @@
 			$core =& $GLOBALS['core'];
 			$post_media = $core->media->getPostMedia($post->post_id);
-			echo
-			'<h5 class="clear">'.__('Attachments').'</h5>';
+			$item = '<h5 class="clear s-attachments">'.__('Attachments').'</h5>';
 			foreach ($post_media as $f)
 			{
@@ -31,6 +36,6 @@
 					$ftitle = substr($ftitle,0,16).'...';
 				}
-				echo
-				'<div class="media-item">'.
+				$item .=
+				'<div class="media-item s-attachments">'.
 				'<a class="media-icon" href="media_item.php?id='.$f->media_id.'">'.
 				'<img src="'.$f->media_icon.'" alt="" title="'.$f->basename.'" /></a>'.
@@ -53,8 +58,8 @@
 			
 			if (empty($post_media)) {
-				echo '<p class="form-note">'.__('No attachment.').'</p>';
-			} else {
-			}
-			echo '<p><a class="button" href="media.php?post_id='.$post->post_id.'">'.__('Add files to this entry').'</a></p>';
+				$item .= '<p class="form-note s-attachments">'.__('No attachment.').'</p>';
+			} 
+			$item .= '<p class="s-attachments"><a class="button" href="media.php?post_id='.$post->post_id.'">'.__('Add files to this entry').'</a></p>';
+			$items['metas-box']['items']['attachments']= $item;
 		}
 	}
Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 1179)
+++ plugins/pings/_admin.php	(revision 1392)
@@ -33,5 +33,5 @@
 
 $core->addBehavior('adminPostHeaders',array('pingsBehaviors','pingJS'));
-$core->addBehavior('adminPostFormSidebar',array('pingsBehaviors','pingsForm'));
+$core->addBehavior('adminPostFormSidebarItems',array('pingsBehaviors','pingsFormItems'));
 $core->addBehavior('adminAfterPostCreate',array('pingsBehaviors','doPings'));
 $core->addBehavior('adminAfterPostUpdate',array('pingsBehaviors','doPings'));
Index: plugins/pings/lib.pings.php
===================================================================
--- plugins/pings/lib.pings.php	(revision 1365)
+++ plugins/pings/lib.pings.php	(revision 1392)
@@ -41,5 +41,5 @@
 	}
 	
-	public static function pingsForm($post)
+	public static function pingsFormItems($items,$post)
 	{
 		$core =& $GLOBALS['core'];
@@ -59,9 +59,9 @@
 		}
 		
-		echo '<h5 class="ping-services">'.__('Pings:').'</h5>';
+		$item = '<h5 class="ping-services">'.__('Pings:').'</h5>';
 		$i = 0;
 		foreach ($pings_uris as $k => $v)
 		{
-			echo
+			$item .=
 			'<p class="ping-services"><label for="pings_do-'.$i.'" class="classic">'.
 			form::checkbox(array('pings_do[]','pings_do-'.$i),html::escapeHTML($v),in_array($v,$pings_do)).' '.
@@ -69,4 +69,6 @@
 			$i++;
 		}
+		$items['options-box']['items']['pings']=$item;
+		
 	}
 	
Index: plugins/tags/_admin.php
===================================================================
--- plugins/tags/_admin.php	(revision 1365)
+++ plugins/tags/_admin.php	(revision 1392)
@@ -18,5 +18,5 @@
 require dirname(__FILE__).'/_widgets.php';
 
-$core->addBehavior('adminPostFormSidebar',array('tagsBehaviors','tagsField'));
+$core->addBehavior('adminPostFormSidebarItems',array('tagsBehaviors','tagsField'));
 
 $core->addBehavior('adminAfterPostCreate',array('tagsBehaviors','setTags'));
@@ -71,5 +71,5 @@
 	}
 	
-	public static function tagsField($post)
+	public static function tagsField($items,$post)
 	{
 		$meta =& $GLOBALS['core']->meta;
@@ -80,8 +80,7 @@
 			$value = ($post) ? $meta->getMetaStr($post->post_meta,'tag') : '';
 		}
-		
-		echo
-		'<h5><label for="post_tags">'.__('Tags:').'</label></h5>'.
-		'<div class="p" id="tags-edit">'.form::textarea('post_tags',20,3,$value,'maximal').'</div>';
+		$items['metas-box']['items']['post_tags']=
+		'<h5><label class="s-tags" for="post_tags">'.__('Tags:').'</label></h5>'.
+		'<div class="p s-tags" id="tags-edit">'.form::textarea('post_tags',20,3,$value,'maximal').'</div>';
 	}
 	
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 1179)
+++ plugins/tags/_define.php	(revision 1392)
@@ -18,5 +18,6 @@
 	/* Version */			'1.2',
 	array(
-		'permissions' =>	'usage,contentadmin'
+		'permissions' =>	'usage,contentadmin',
+		'priority' =>		998
 	)
 );
Index: plugins/tags/js/post.js
===================================================================
--- plugins/tags/js/post.js	(revision 1112)
+++ plugins/tags/js/post.js	(revision 1392)
@@ -58,4 +58,9 @@
 		});
 	});
+			
+	$('h5 .s-tags').toggleWithLegend($('.s-tags').not('label'),{
+			cookie: 'post_tags'
+	});
+
 });
 