Index: admin/style/candyUpload/style.css
===================================================================
--- admin/style/candyUpload/style.css	(revision 536)
+++ admin/style/candyUpload/style.css	(revision 3)
@@ -1,27 +1,33 @@
 
-.cu-ctrl {
+div.cu-ctrl {
 	background: #f5f5f5;
-	padding: .5em 0 0 0;
+	padding: 5px 0 0 0;
 	margin: 0 0 1em 0;
 	overflow: hidden;
+	border-color: #ccc;
+	border-width: 1px 0;
+	border-style: solid;
 }
-.cu-msg {
+
+div.cu-msg {
+	padding: 0 0.5em;
 	font-weight: bold;
 }
-.cu-msg.cu-error {
+div.cu-msg.cu-error {
 	color: #c00;
 }
-.cu-files {
+
+div.cu-files {
 	padding: 0 0.5em;
 	margin: 10px 0;
 }
-.cu-file {
+div.cu-file {
 	margin: 0 0 8px 0;
 	position: relative;
 }
-.cu-fileinfo {
+div.cu-fileinfo {
 	margin-left: 16px;
 }
-.cu-fileinfo span.cu-filecancel {
+div.cu-fileinfo span.cu-filecancel {
 	display: block;
 	position: absolute;
@@ -30,5 +36,5 @@
 	left: -16px;
 }
-.cu-filecancel a {
+div.cu-files span.cu-filecancel a {
 	display: block;
 	width: 12px;
@@ -39,15 +45,16 @@
 	outline: none;
 }
-.cu-filemsg {
+div.cu-files span.cu-filemsg {
 	font-weight: bold;
 	color: green;
 }
-span.cu-filemsg.cu-error {
+div.cu-files span.cu-filemsg.cu-error {
 	color: #c00;
 }
-.cu-progress {
+
+div.cu-progress {
 	margin-left: 16px;
 }
-.cu-progress div {
+div.cu-progress div {
 	height: 10px;
 	width: 0;
@@ -62,5 +69,6 @@
 	-moz-border-radius: 2px;
 }
-.cu-btn {
+
+div.cu-btn {
 	padding: 0 0.5em;
 	line-height: 1.2em;
@@ -69,23 +77,20 @@
 	position: relative;
 }
-.cu-btn span {
+div.cu-btn span {
 	display: block;
-	margin: 0 1em 0 0;
+	margin: 0 0 0 .5em;
 	float: right;
 }
-.cu-btn span a {
+div.cu-btn span a {
 	display: block;
 	padding: .3em 1.5em;
 }
-span.cu-btn-browse {
+div.cu-btn span.cu-btn-browse {
 	float: none;
 	position: absolute;
-	left: 0;
+	left: 0.5em;
 	margin: 0;
 }
-span.cu-btn-upload, span.cu-btn-clean {
-	margin-right: 0;
-}
-span.cu-btn-upload a.button {
+div.cu-btn span.cu-btn-upload a.button {
 	color: #fff;
 	border: 1px solid #2373A8;
@@ -94,6 +99,5 @@
 	background: -moz-linear-gradient(top,  #2C8FD1,  #2373A8);
 }
-span.cu-btn-upload a.button:hover, 
-span.cu-btn-upload a.button:focus {
+div.cu-btn span.cu-btn-upload a.button:hover, div.cu-btn span.cu-btn-upload a.button:focus {
 	color: #fff;
 	border: 1px solid #2C8FD1;
@@ -103,10 +107,11 @@
 	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#2373A8', endColorstr='#2C8FD1');
 }
-.cu-maxsize.form-note {
+div.cu-maxsize {
 	clear: both;
-	margin: 1.5em 0 0;
+	margin: .75em 0 0 0.5em;
 	font-style: italic;
 }
-.cu-disable {
+
+div.cu-disable {
 	margin: 1em 0;
 	padding: 0 0 0.5em 0.5em;
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 565)
+++ admin/style/default.css	(revision 575)
@@ -296,8 +296,8 @@
 #main-menu li {
 	display: block;
-	margin: 0.5em 0 0;
-	padding: .2em 0 0 32px;
+	margin: 0.66em 0 0;
+	padding: .2em 0 0 34px;
 	background-repeat: no-repeat;
-	background-position: 12px .2em;
+	background-position: 6px center;
 }
 #main-menu a {
@@ -372,5 +372,5 @@
 	margin-left: .5em;
 }
-#login-screen fieldset, #login-screen .fieldset {
+#login-screen fieldset {
 	border: 1px solid #999;
 	padding: 1em 1em 0 1em;
@@ -425,4 +425,14 @@
 #icons a:focus span, #icons a:hover span {
 	text-decoration: underline;
+}
+/* test */
+#icons img {
+	padding: 6px;
+	background: #dfdfdf;
+	border: 1px solid #ccc;
+	border-radius: 5px;
+}
+#icons a:hover img {
+	background: #bbb;
 }
 #quick {
@@ -918,8 +928,4 @@
 /* -------------------------------------------------------------------- CLASSES COMMUNES */
 
-.no-margin {
-	margin: 0;
-}
-
 /* paragraphe pour bouton Nouveau bidule */
 p.top-add {
@@ -1014,12 +1020,4 @@
 	background: #ddd;
 }
-caption {
-	color: #333;
-	font-size: 1.2em;
-	font-weight: bold;
-	text-align: left;
-	margin-bottom: .5em;
-}
-
 th, td {
 	border-width: 0 0 1px 0;
@@ -1091,5 +1089,5 @@
 	padding: 0;
 }
-fieldset, .fieldset {
+fieldset {
 	display: block;
 	margin: 0 0 1em 0;
@@ -1180,5 +1178,4 @@
 	display: block;
 	width: 100%;
-	resize: vertical;
 }
 label.required {
@@ -1208,7 +1205,4 @@
 label .maximal, textarea.maximal, input.maximal {
 	width: 100%;
-}
-textarea.maximal {
-	resize: vertical;
 }
 
@@ -1220,5 +1214,5 @@
 	padding-left: 20px;
 }
-.constrained {
+fieldset.constrained {
 	margin: 0;
 	padding: 0;
@@ -1246,5 +1240,5 @@
 	text-align: center;
 	text-decoration: none;
-	padding: .1em .5em 0 .5em;
+	padding: .1em .5em;
 	text-shadow: 0 1px 1px rgba(0,0,0,.3);
 	-webkit-border-radius: .2em;
@@ -1306,8 +1300,4 @@
 input[type=submit].delete {
 	color: #c00;
-	padding-bottom: .1em;
-}
-#entry-content .delete {
-	margin-left: 1em;
 }
 a.delete:hover,
@@ -1335,7 +1325,7 @@
 	border-radius: .5em;
 	margin-bottom: .1em;	
-	background: #2C8FD1 url(add.png) no-repeat 6px center;
+	background: #2C8FD1 url(add.png) no-repeat .2em center;
 	color: #fff;
-	padding: .2em 16px .2em 30px;
+	padding: .1em 1em .2em 28px;
 	border: 1px solid #2373A8;
 }