Index: admin/post.php
===================================================================
--- admin/post.php	(revision 1453)
+++ admin/post.php	(revision 1459)
@@ -737,5 +737,5 @@
 }
 
-dcPage::helpBlock('core_post','core_wiki');
+dcPage::helpBlock('core_post','core_trackbacks','core_wiki');
 dcPage::close();
 ?>
Index: admin/trackbacks.php
===================================================================
--- admin/trackbacks.php	(revision 1399)
+++ admin/trackbacks.php	(revision 1459)
@@ -155,4 +155,5 @@
 }
 
+dcPage::helpBlock('core_trackbacks');
 dcPage::close();
 ?>
Index: locales/en/help/post.html
===================================================================
--- locales/en/help/post.html	(revision 175)
+++ locales/en/help/post.html	(revision 1459)
@@ -88,24 +88,4 @@
 </dl>
 
-<h3>Trackback</h3>
-<p>To make a trackback, click on the <em>Ping blogs</em> link.
-You will not see this link if your entry's status is not <em>published</em>.</p>
-
-<dl>
-  <dt>URLs to ping</dt>
-  <dd>Paste here the trackback URLs you found in the posts you want to ping.</dd>
-  
-  
-  <dt>Send excerpt</dt>
-  <dd>This field defaults to your entry's first few sentences. That's wht will be
-  sent to the blog you're pinging, along with a link to your post. You can modify
-  the excerpt by editing this field.</dd>
-  
-  
-  <dt>Auto discover ping URLs</dt>
-  <dd>If your entries links specific posts and if the blog carrying those posts
-  is set to allow it, this tool will find the URLs to ping for you.</dd>
-</dl>
-
 <h3>Comments</h3>
 <dl>
Index: locales/en/help/trackbacks.html
===================================================================
--- locales/en/help/trackbacks.html	(revision 1459)
+++ locales/en/help/trackbacks.html	(revision 1459)
@@ -0,0 +1,29 @@
+<html>
+<head>
+  <title>Editing an entry</title>
+</head>
+
+<body>
+
+<h3>Trackback</h3>
+<p>To make a trackback, click on the <em>Ping blogs</em> link.
+You will not see this link if your entry's status is not <em>published</em>.</p>
+
+<dl>
+  <dt>URLs to ping</dt>
+  <dd>Paste here the trackback URLs you found in the posts you want to ping.</dd>
+  
+  
+  <dt>Send excerpt</dt>
+  <dd>This field defaults to your entry's first few sentences. That's wht will be
+  sent to the blog you're pinging, along with a link to your post. You can modify
+  the excerpt by editing this field.</dd>
+  
+  
+  <dt>Auto discover ping URLs</dt>
+  <dd>If your entries links specific posts and if the blog carrying those posts
+  is set to allow it, this tool will find the URLs to ping for you.</dd>
+</dl>
+
+</body>
+</html>
Index: locales/en/resources.php
===================================================================
--- locales/en/resources.php	(revision 1343)
+++ locales/en/resources.php	(revision 1459)
@@ -29,4 +29,5 @@
 	'core_post' => dirname(__FILE__).'/help/post.html',
 	'core_posts' => dirname(__FILE__).'/help/posts.html',
+	'core_trackbacks' => dirname(__FILE__).'/help/trackbacks.html',
 	'core_user_pref' => dirname(__FILE__).'/help/user_pref.html',
 	'core_user' => dirname(__FILE__).'/help/user.html',
Index: locales/fr/help/core_post.html
===================================================================
--- locales/fr/help/core_post.html	(revision 175)
+++ locales/fr/help/core_post.html	(revision 1459)
@@ -94,29 +94,4 @@
 </dl>
 
-<h3>Rétroliens</h3>
-<p>Pour faire un rétrolien cliquez sur le lien <em>Faire des rétroliens</em>.
-Si vous ne voyez pas ce lien, vérifiez que votre billet est bien dans l'état
-<em>publié</em>.</p>
-
-<dl>
-  <dt>URLs à rétrolier</dt>
-  <dd>Indiquez ici la ou les URL que vous aurez relevé dans le billet vers lequel
-  vous souhaitez envoyer un rétrolien.</dd>
-  
-  
-  <dt>Envoyer l'extrait</dt>
-  <dd>Par défaut, ce champ comporte le début de votre billet. C'est ce qui sera
-  envoyé vers le blog que vous rétroliez avec un lien vers votre billet complet.
-  Vous pouvez modifier le contenu de cette "accroche" en saisissant directement le
-  texte de votre choix dans ce champ.</dd>
-  
-  
-  <dt>Découverte automatique des URLs à rétrolier</dt>
-  <dd>Si votre billet comporte des liens vers des billets précis et si la
-  plate-forme du blog destinataire est configurée pour le permettre, cette
-  fonction découvrira automatiquement les URLs spécifiques d'envoi de
-  rétrolien.</dd>
-</dl>
-
 <h3>Commentaires</h3>
 <dl>
Index: locales/fr/help/core_trackbacks.html
===================================================================
--- locales/fr/help/core_trackbacks.html	(revision 1459)
+++ locales/fr/help/core_trackbacks.html	(revision 1459)
@@ -0,0 +1,34 @@
+<html>
+<head>
+  <title>Rédaction d'un billet</title>
+</head>
+
+<body>
+
+<h3>Rétroliens</h3>
+<p>Pour faire un rétrolien cliquez sur le lien <em>Faire des rétroliens</em>.
+Si vous ne voyez pas ce lien, vérifiez que votre billet est bien dans l'état
+<em>publié</em>.</p>
+
+<dl>
+  <dt>URLs à rétrolier</dt>
+  <dd>Indiquez ici la ou les URL que vous aurez relevé dans le billet vers lequel
+  vous souhaitez envoyer un rétrolien.</dd>
+  
+  
+  <dt>Envoyer l'extrait</dt>
+  <dd>Par défaut, ce champ comporte le début de votre billet. C'est ce qui sera
+  envoyé vers le blog que vous rétroliez avec un lien vers votre billet complet.
+  Vous pouvez modifier le contenu de cette "accroche" en saisissant directement le
+  texte de votre choix dans ce champ.</dd>
+  
+  
+  <dt>Découverte automatique des URLs à rétrolier</dt>
+  <dd>Si votre billet comporte des liens vers des billets précis et si la
+  plate-forme du blog destinataire est configurée pour le permettre, cette
+  fonction découvrira automatiquement les URLs spécifiques d'envoi de
+  rétrolien.</dd>
+</dl>
+
+</body>
+</html>