Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 1563)
+++ admin/js/common.js	(revision 1573)
@@ -176,5 +176,5 @@
 		o.click(function() {
 			$(this).nextAll().each(function() {
-				if ($(this).is('h3')) {
+				if ($(this).is('h4')) {
 					return false;
 				}
@@ -196,6 +196,6 @@
 	this.find('>hr').remove();
 
-	this.find('h3').each(function() { textToggler($(this)); });
-	this.find('h3:first').nextAll('*:not(h3)').hide();
+	this.find('h4').each(function() { textToggler($(this)); });
+	this.find('h4:first').nextAll('*:not(h4)').hide();
 	sizeBox();
 
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 1569)
+++ inc/admin/lib.dc.page.php	(revision 1573)
@@ -414,5 +414,5 @@
 
 		echo
-		'<div id="help"><hr /><div class="help-content clear"><h2>'.__('Help').'</h2>'.
+		'<div id="help"><hr /><div class="help-content clear"><h3>'.__('Help about this page').'</h3>'.
 		$content.
 		'</div></div>';
Index: locales/fr/help/blowupConfig.html
===================================================================
--- locales/fr/help/blowupConfig.html	(revision 1348)
+++ locales/fr/help/blowupConfig.html	(revision 1573)
@@ -10,5 +10,5 @@
 ou choisissez un style prédéfini.</p>
 
-<h3>Couleurs</h3>
+<h4>Couleurs</h4>
 
 <p>Quand vous devez indiquer une valeur de couleur, celle-ci doit être au format
@@ -23,5 +23,5 @@
 </ul>
 
-<h3>Unités de mesure</h3>
+<h4>Unités de mesure</h4>
 
 <p>Quand vous devez indiquer une taille, celle-ci doit être suivie d'une unité
@@ -37,5 +37,5 @@
 </ul>
 
-<h3>Images d'en-tête</h3>
+<h4>Images d'en-tête</h4>
 
 <p>Vous pouvez choisir une image d'en-tête parmi une liste de nombreuses images
@@ -50,5 +50,5 @@
 transparence sera également préservée).</p>
 
-<h3>Styles prédéfinis</h3>
+<h4>Styles prédéfinis</h4>
 
 <p>Vous pouvez choisir un style prédéfini dans la liste d'option "Styles prédéfinis".
@@ -58,5 +58,5 @@
 <p>Vous pouvez ensuite modifier le style prédéfini comme bon vous semble.</p>
 
-<h3>Import / export de configuration</h3>
+<h4>Import / export de configuration</h4>
 
 <p>À la fin des options de Blowup, vous pouvez afficher une zone appelée "Import
Index: locales/fr/help/core_blog_pref.html
===================================================================
--- locales/fr/help/core_blog_pref.html	(revision 1354)
+++ locales/fr/help/core_blog_pref.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Informations du blog</h3>
+<h4>Informations du blog</h4>
 <dl>
   <dt>Identifiant du blog</dt>
@@ -41,5 +41,5 @@
 </dl>
 
-<h3>Configuration du blog</h3>
+<h4>Configuration du blog</h4>
 <dl>
   <dt>Nom de l'éditeur du blog</dt>
@@ -127,5 +127,5 @@
 </dl>
 
-<h3>Formatage des dates</h3>
+<h4>Formatage des dates</h4>
 <p>Certains champs permettent de formater les dates avec des caractères
 particuliers dont voici la définition&nbsp;:</p>
Index: locales/fr/help/core_categories.html
===================================================================
--- locales/fr/help/core_categories.html	(revision 175)
+++ locales/fr/help/core_categories.html	(revision 1573)
@@ -5,5 +5,5 @@
 
 <body>
-<h3>Liste des categories</h3>
+<h4>Liste des categories</h4>
 <dl>
   <dt>Créer une nouvelle catégorie</dt>
@@ -23,5 +23,5 @@
 </dl>
 
-<h3>Modifier une catégorie</h3>
+<h4>Modifier une catégorie</h4>
 <dl>
   <dt>Titre</dt>
Index: locales/fr/help/core_comments.html
===================================================================
--- locales/fr/help/core_comments.html	(revision 0)
+++ locales/fr/help/core_comments.html	(revision 1573)
@@ -5,5 +5,5 @@
 
 <body>
-<h3>Filtres de la liste des commentaires</h3>
+<h4>Filtres de la liste des commentaires</h4>
 <dl>
   <dt>Type :</dt>
@@ -34,5 +34,5 @@
 </dl>
 
-<h3>Modifier ou ajouter un commentaire</h3>
+<h4>Modifier ou ajouter un commentaire</h4>
 <dl>
   <dt>Auteur :</dt>
Index: locales/fr/help/core_media.html
===================================================================
--- locales/fr/help/core_media.html	(revision 1194)
+++ locales/fr/help/core_media.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Liste des médias</h3>
+<h4>Liste des médias</h4>
 <p>La page principale du gestionnaire de médias présente la liste des fichiers
 (médias) disponibles pour le blog en cours d'utilisation.</p>
@@ -19,5 +19,5 @@
 <p>Les images sont affichées avec une miniature quand cela est possible.</p>
 
-<h3>Ajouter des fichiers</h3>
+<h4>Ajouter des fichiers</h4>
 <dl>
   <dt>Choisissez un fichier</dt>
@@ -39,10 +39,10 @@
 </dl>
 
-<h3>Nouveau répertoire</h3>
+<h4>Nouveau répertoire</h4>
 <p>Ce formulaire permet de créer un nouveau répertoire dans le répertoire en
 cours d'utilisation. Indiquez simplement un nom comme vous le feriez sur votre
 ordinateur.</p>
 
-<h3>Détails du média</h3>
+<h4>Détails du média</h4>
 <p>La page individuelle d'un média présente un ensemble d'informations sur
 celui-ci et permet d'effectuer quelques opérations.</p>
@@ -70,5 +70,5 @@
 </dl>
 
-<h3>Cas particulier des images</h3>
+<h4>Cas particulier des images</h4>
 <p>Lors de l'ajout d'une image, jusqu'à quatre versions de celle-ci peuvent
 être disponibles (selon la taille de l'image d'origine)&nbsp;:</p>
@@ -82,5 +82,5 @@
 <p>Les tailles par défaut des versions miniature, petite et moyenne, peuvent être modifiées dans les paramètres du blog</p>
 
-<h3>Attacher un fichier à un billet</h3>
+<h4>Attacher un fichier à un billet</h4>
 <p>Vous pouvez attacher un fichier à un billet très facilement. Commencez par
 créer un nouveau billet et enregistrez-le. Cliquez alors sur "ajouter un fichier
@@ -95,5 +95,5 @@
 lecture directe du fichier.</p>
 
-<h3>Podcast et diffusion de fichiers musicaux</h3>
+<h4>Podcast et diffusion de fichiers musicaux</h4>
 <p>Tous les fichiers attachés à un billet seront présents dans les fils RSS de
 vos billets, vous permettant ainsi de réaliser des podcast de n'importe quel
Index: locales/fr/help/core_post.html
===================================================================
--- locales/fr/help/core_post.html	(revision 1459)
+++ locales/fr/help/core_post.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Rédaction du billet</h3>
+<h4>Rédaction du billet</h4>
 
 <dl>
@@ -94,5 +94,5 @@
 </dl>
 
-<h3>Commentaires</h3>
+<h4>Commentaires</h4>
 <dl>
   <dt>Liste les commentaires</dt>
Index: locales/fr/help/core_posts.html
===================================================================
--- locales/fr/help/core_posts.html	(revision 0)
+++ locales/fr/help/core_posts.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Filtres de la liste des billets</h3>
+<h4>Filtres de la liste des billets</h4>
 
 <dl>
@@ -45,5 +45,5 @@
 </dl>
 
-<h3>Actions par lot sur les billets</h3>
+<h4>Actions par lot sur les billets</h4>
 <p>Il est possible d'effectuer un ensemble d'actions sur plusieurs billets, d'un
 seul coup. Les actions possibles dépendent des permissions de l'utilisateur.</p>
Index: locales/fr/help/core_trackbacks.html
===================================================================
--- locales/fr/help/core_trackbacks.html	(revision 1459)
+++ locales/fr/help/core_trackbacks.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Rétroliens</h3>
+<h4>Rétroliens</h4>
 <p>Pour faire un rétrolien cliquez sur le lien <em>Faire des rétroliens</em>.
 Si vous ne voyez pas ce lien, vérifiez que votre billet est bien dans l'état
Index: locales/fr/help/core_user.html
===================================================================
--- locales/fr/help/core_user.html	(revision 175)
+++ locales/fr/help/core_user.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Informations utilisateur</h3>
+<h4>Informations utilisateur</h4>
 <dl>
   <dt>Nom d'utilisateur</dt>
@@ -65,5 +65,5 @@
 </dl>
 
-<h3>Tags</h3>
+<h4>Tags</h4>
 <dl>
   <dt>Format de la liste des tags</dt>
Index: locales/fr/help/core_user_pref.html
===================================================================
--- locales/fr/help/core_user_pref.html	(revision 243)
+++ locales/fr/help/core_user_pref.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Mon profil</h3>
+<h4>Mon profil</h4>
 <dl>
   <dt>Nom, Prénom</dt>
@@ -37,5 +37,5 @@
 </dl>
   
-<h3>Mes options</h3>
+<h4>Mes options</h4>
 <dl> 
   <dt>Format d'édition préféré</dt>
@@ -75,5 +75,5 @@
   disponibles ou seulement les plus utilisés.</dd>
 </dl>
-<h3>Mes favoris</h3>
+<h4>Mes favoris</h4>
 <dl>
   <dt>Mes favoris</dt>
Index: locales/fr/help/core_wiki.html
===================================================================
--- locales/fr/help/core_wiki.html	(revision 0)
+++ locales/fr/help/core_wiki.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Référence de la syntaxe Wiki</h3>
+<h4>Référence de la syntaxe Wiki</h4>
 
 <p>La syntaxe Wiki est une manière d'écrire du texte avec un jeu de balises
Index: plugins/blogroll/locales/en/help/blogroll.html
===================================================================
--- plugins/blogroll/locales/en/help/blogroll.html	(revision 215)
+++ plugins/blogroll/locales/en/help/blogroll.html	(revision 1573)
@@ -6,5 +6,4 @@
 <body>
 
-<h3>Blogroll</h3>
 <p>Blogroll allows you to display on your blog a list of links to other blogs or websites that 
 you wish to suggest to your visitors. </p>
Index: plugins/blogroll/locales/fr/help/blogroll.html
===================================================================
--- plugins/blogroll/locales/fr/help/blogroll.html	(revision 215)
+++ plugins/blogroll/locales/fr/help/blogroll.html	(revision 1573)
@@ -6,5 +6,4 @@
 <body>
 
-<h3>Liens</h3>
 <p>La gestion des liens vous permet d'afficher sur votre blog un "blogroll" ou liste de liens vers d'autres blogs ou sites que vous souhaitez porter à l'attention de vos visiteurs.</p>
 <dl>
Index: plugins/daInstaller/locales/en/help/da_installer.html
===================================================================
--- plugins/daInstaller/locales/en/help/da_installer.html	(revision 1568)
+++ plugins/daInstaller/locales/en/help/da_installer.html	(revision 1573)
@@ -5,6 +5,4 @@
 
 <body>
-
-<h3>Update of plugin</h3>
 
 <dl>
Index: plugins/daInstaller/locales/fr/help/da_installer.html
===================================================================
--- plugins/daInstaller/locales/fr/help/da_installer.html	(revision 1568)
+++ plugins/daInstaller/locales/fr/help/da_installer.html	(revision 1573)
@@ -5,6 +5,4 @@
 
 <body>
-
-<h3>Mise à jour de plugins</h3>
 
 <dl>
Index: plugins/maintenance/locales/en/help/maintenance.html
===================================================================
--- plugins/maintenance/locales/en/help/maintenance.html	(revision 1568)
+++ plugins/maintenance/locales/en/help/maintenance.html	(revision 1573)
@@ -5,6 +5,4 @@
 
 <body>
-
-<h3>Maintenance</h3>
 
 <dl>
Index: plugins/maintenance/locales/fr/help/maintenance.html
===================================================================
--- plugins/maintenance/locales/fr/help/maintenance.html	(revision 1568)
+++ plugins/maintenance/locales/fr/help/maintenance.html	(revision 1573)
@@ -5,6 +5,4 @@
 
 <body>
-
-<h3>Maintenance</h3>
 
 <dl>
Index: plugins/pages/locales/en/help/page.html
===================================================================
--- plugins/pages/locales/en/help/page.html	(revision 232)
+++ plugins/pages/locales/en/help/page.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Editing a page</h3>
+<h4>Editing a page</h4>
 
 <dl>
@@ -73,5 +73,5 @@
 </dl>
 
-<h3>Comments</h3>
+<h4>Comments</h4>
 <dl>
   <dt>Comment list</dt>
@@ -87,5 +87,5 @@
 </dl>
 
-<h3>Wiki syntax reference</h3>
+<h4>Wiki syntax reference</h4>
 
 <p>The wiki syntax is a way to enhance your text with a minimal set
Index: plugins/pages/locales/fr/help/page.html
===================================================================
--- plugins/pages/locales/fr/help/page.html	(revision 232)
+++ plugins/pages/locales/fr/help/page.html	(revision 1573)
@@ -6,5 +6,5 @@
 <body>
 
-<h3>Rédaction de la page</h3>
+<h4>Rédaction de la page</h4>
 
 <dl>
@@ -79,5 +79,5 @@
 </dl>
 
-<h3>Commentaires</h3>
+<h4>Commentaires</h4>
 <dl>
   <dt>Liste les commentaires</dt>
@@ -94,5 +94,5 @@
 </dl>
 
-<h3>Référence de la syntaxe Wiki</h3>
+<h4>Référence de la syntaxe Wiki</h4>
 
 <p>La syntaxe Wiki est une manière d'écrire du texte avec un jeu de balises
Index: plugins/simpleMenu/locales/en/help/help.html
===================================================================
--- plugins/simpleMenu/locales/en/help/help.html	(revision 553)
+++ plugins/simpleMenu/locales/en/help/help.html	(revision 1573)
@@ -6,5 +6,4 @@
 <body>
 
-<h3>Simple Menu</h3>
 <p>Simple Menu allows you to display on your blog a single level menu, if your theme supports it.</p>
 <dl>
Index: plugins/simpleMenu/locales/fr/help/help.html
===================================================================
--- plugins/simpleMenu/locales/fr/help/help.html	(revision 553)
+++ plugins/simpleMenu/locales/fr/help/help.html	(revision 1573)
@@ -6,5 +6,4 @@
 <body>
 
-<h3>Menu simple</h3>
 <p>Menu simple vous permet d’afficher un menu limité à un seul niveau sur votre blog, si votre thème le supporte.</p>
 <dl>