Index: admin/post.php
===================================================================
--- admin/post.php	(revision 1620)
+++ admin/post.php	(revision 1621)
@@ -641,8 +641,8 @@
 	
 	if ($has_action) {
-		echo '<form action="comments_actions.php" id="form-comments" method="post" class="clear">';
-	}
-	
-	echo '<h3 class="clear">'.__('Trackbacks').'</h3>';
+		echo '<form action="comments_actions.php" id="form-comments" method="post">';
+	}
+	
+	echo '<h3>'.__('Trackbacks').'</h3>';
 	
 	if (!$trackbacks->isEmpty()) {
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1619)
+++ admin/style/default.css	(revision 1621)
@@ -26,4 +26,5 @@
 	padding: 0;
 }
+
 a, a:link, a:visited {
 	color: #2373A8;
@@ -378,9 +379,11 @@
 }
 #search-menu * {
-	height: 20px; /* ie < 9 sucks */
-	height: 2rem;
+	height: 22px; /* ie < 9 sucks */
+	height: 2.2rem;
+	display: inline-block;
+	vertical-align: top;
+	line-height: 22px;
 }
 #search-menu p {
-	display: inline-block;
 	border: 1px solid #999;
 	border-radius: .3em;
@@ -388,17 +391,23 @@
 	overflow: hidden;
 }
-#search-menu #qx {
-	width: 120px; /* ie < 9 sucks */
-	width: 12rem;
+#qx {
+	width: 124px; /* ie < 9 sucks */
+	width: 12.4rem;
 	border-bottom-left-radius: .3em;
 	border-top-left-radius: .3em;
 	background: transparent url(search.png) no-repeat 4px center;
 	text-indent: 18px;
-	padding: 0 2px;
+	padding: 0;
 	border: none;
+	height: 22px;
+	height: 2.2rem;
+}
+#qx:focus {
+	border: 2px solid #BBDB58;
 }
 #search-menu input[type="submit"] {
 	padding: 0 3px;
 	padding: 0 .3rem;
+	margin-left: -4px;
 	background: #dfdfdf;
 	border-color: #999;
@@ -621,7 +630,6 @@
 	float: right;
 }
-#entry-sidebar input[type="text"],
 #entry-sidebar select {
-	width: 14em; /* to prevent inline with label */
+	width: 100%;
 }
 #entry-sidebar input#post_position {
@@ -1181,4 +1189,7 @@
 	margin-top: 2em;
 }
+p.clear.vertical-separator {
+	padding-top: 2em;
+}
 .border-top {
 	border-top: 1px solid #999;
@@ -1418,7 +1429,10 @@
 	background: #f9f9f9;
 	color: #000;
-	border-width: 1px;
+	border-width: 2px;
 	border-style: solid;
-	border-color: #666 #ccc #ccc #999;
+	border-color: #ccc #ddd #ddd #ccc; 
+}
+select {
+	border-right: none;
 }
 input.invalid, textarea.invalid, select.invalid {
@@ -1547,5 +1561,5 @@
 	-webkit-box-sizing: border-box;
 	-moz-box-sizing: border-box;
-	box-sizing: border-box;	
+	box-sizing: border-box;
 	border: 2px solid #BBDB58;
 }
Index: admin/style/jsToolBar/jsToolBar.css
===================================================================
--- admin/style/jsToolBar/jsToolBar.css	(revision 1618)
+++ admin/style/jsToolBar/jsToolBar.css	(revision 1621)
@@ -6,12 +6,9 @@
 }
 .jstEditor textarea, .jstEditor iframe {
-  margin: 0;
-  border: 0;
-  padding: 0;
-}
-.jstEditor textarea {
 	-webkit-box-sizing: border-box;
 	-moz-box-sizing: border-box;
 	box-sizing: border-box;	
+	margin: 0;
+	border: 2px solid #f9f9f9;
   	width: 100%;
   	padding: .5em 0 0 0;
@@ -26,5 +23,5 @@
 	border-style: solid;
 }
-.jstEditor textarea:focus {
+.jstEditor textarea:focus, .jstEditor iframe:focus {
 	border: 2px solid #BBDB58;
 }
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 1620)
+++ admin/user.php	(revision 1621)
@@ -206,5 +206,5 @@
 
 echo
-'<form action="user.php" method="post" id="user-form" class="fieldset">'.
+'<form action="user.php" method="post" id="user-form">'.
 '<div class="two-cols">'.
 
@@ -224,13 +224,4 @@
 
 echo
-'<form action="user.php" method="post" id="user-form">'.
-'<fieldset><legend>'.__('User information').'</legend>'.
-'<div class="two-cols">'.
-'<div class="col">'.
-'<p><label for="user_id" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Username:').' '.
-form::field('user_id',20,255,html::escapeHTML($user_id)).
-'</label></p>'.
-'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p>'.
-
 '<div class="pw-table">'.
 	'<p class="pw-cell">'.
@@ -319,5 +310,5 @@
 
 echo
-'<p class="clear border-top"><label for="your_pwd" class="required">'.
+'<p class="clear vertical-separator"><label for="your_pwd" class="required">'.
 '<abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label>'.
 form::password('your_pwd',20,255).'</p>'.
@@ -387,5 +378,5 @@
 	} 
 	else {
-		echo '<p>'.sprintf(__('User %s is super admin.'),$user_id).'</p>';
+		echo '<p>'.sprintf(__('%s is super admin (all rights on all blogs).'),'<strong>'.$user_id.'</strong>').'</p>';
 	}	
 	echo '</div>';
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1620)
+++ locales/fr/main.po	(revision 1621)
@@ -3244,4 +3244,7 @@
 msgstr "Identifiant (login) :"
 
+msgid "%s is super admin (all rights on all blogs)."
+msgstr "%s est super administrateur (tous les droits sur tous les blogs)."
+
 msgid "Interface"
 msgstr "Interface"
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 1620)
+++ plugins/pages/page.php	(revision 1621)
@@ -455,5 +455,5 @@
 				'post_hide' =>	
 					'<p><label for="post_selected" class="classic">'.form::checkbox('post_selected',1,$post_selected).' '.
-					__('Hide in widget Pages').'</label></p>'.
+					__('Hide in widget Pages').'</label>'.
 					'</p>',
 				'post_password' =>
@@ -557,5 +557,5 @@
 	
 	echo '</form>';
-	echo '</div>';
+	echo '</div>';		// End 
 	
 	if ($post_id && !empty($post_media))
@@ -600,4 +600,7 @@
 	'<div id="comments" class="multi-part" title="'.__('Comments').'">';
 	
+	echo
+	'<p class="top-add"><a class="button add onblog_link" href="#comment-form">'.__('Add a comment').'</a></p>';
+
 	if ($has_action) {
 		echo '<form action="comments_actions.php" method="post">';
@@ -632,14 +635,9 @@
 		'</form>';
 	}
-	
-	echo '</div>';
-}
-
-/* Add a comment
--------------------------------------------------------- */
-if ($post_id)
-{
+		/* Add a comment
+	-------------------------------------------------------- */
+
 	echo
-	'<div class="multi-part" id="add-comment" title="'.__('Add a comment').'">'.
+	'<div class="fieldset clear">'.
 	'<h3>'.__('Add a comment').'</h3>'.
 	
@@ -658,5 +656,6 @@
 	'</p>'.
 	
-	'<p class="area"><label for="comment_content" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Comment:').'</label> '.
+	'<p class="area"><label for="comment_content" class="required"><abbr title="'.__('Required field').'">*</abbr> '.
+	__('Comment:').'</label> '.
 	form::textarea('comment_content',50,8,html::escapeHTML('')).
 	'</p>'.
@@ -665,7 +664,9 @@
 	$core->formNonce().
 	'<input type="submit" name="add" value="'.__('Save').'" /></p>'.
-	'</div>'.
+	'</div>'. #constrained
+
 	'</form>'.
-	'</div>';
+	'</div>'. #add comment
+	'</div>'; #comments
 }
 