Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 1650)
+++ plugins/widgets/index.php	(revision 1655)
@@ -165,6 +165,4 @@
   <?php echo file_get_contents(dirname(__FILE__).'/style.css'); ?>
   </style>
-	<script type="text/javascript" src="js/jquery/jquery-ui.custom.js"></script>
-  <script type="text/javascript" src="index.php?pf=widgets/widgets.js"></script>
   <?php 
 	$core->auth->user_prefs->addWorkspace('accessibility'); 
@@ -174,4 +172,5 @@
   <script type="text/javascript" src="index.php?pf=widgets/dragdrop.js"></script>
   <?php endif; ?>
+  <script type="text/javascript" src="index.php?pf=widgets/widgets.js"></script>
   <script type="text/javascript">
   //<![CDATA[
@@ -195,23 +194,23 @@
 '<h3>'.__('Available widgets').'</h3>'.
 '<p>'.__('Move widgets from this list to one of the sidebars.').'</p>'.
-'<ul id="widgets">';
+'<div id="widgets">';
 
 $j = 0;
 foreach ($__widgets->elements(true) as $w) {
 	echo
-	'<li>'.form::hidden(array('w[void][0][id]'),html::escapeHTML($w->id())).
-	'<p class="widget-name">'.form::field(array('w[void][0][order]'),2,3,0,'js-hide','',0,'title="'.__('order').'"').' '.$w->name().
-	($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</p>'.
+	'<div>'.form::hidden(array('w[void][0][id]'),html::escapeHTML($w->id())).
+	'<p class="widget-name">'.form::field(array('w[void][0][order]'),2,3,0,'hideControl').' '.
+	$w->name().($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</p>'.
 	'<p class="js-remove"><label class="classic">'.__('Append to:').'</label> '.
 	form::combo(array('addw['.$w->id().']'),$append_combo).'</p>'.
 	'<div class="widgetSettings">'.$w->formSettings('w[void][0]',$j).'</div>'.
-	'</li>';
+	'</div>';
 	$j++;
 }
 
 echo
-'</ul>'.
-$core->formNonce().
-'<p class="js-remove"><input type="submit" name="append" value="'.__('Add widgets to sidebars').'" /></p>'.
+'</div>'.
+'<p><input type="submit" class="js-remove" name="append" value="'.__('Add widgets to sidebars').'" />'.
+$core->formNonce().'</p>'.
 '</form>';
 
@@ -221,6 +220,5 @@
 '<div id="sidebarNav" class="widgets fieldset">'.
 sidebarWidgets('dndnav',__('Navigation sidebar'),$widgets_nav,'nav',$__default_widgets['nav'],$j).
-'</div>'.
-'<ul class="sortable-delete"></ul>';
+'</div>';
 
 # Extra sidebar
@@ -228,6 +226,5 @@
 '<div id="sidebarExtra" class="widgets fieldset">'.
 sidebarWidgets('dndextra',__('Extra sidebar'),$widgets_extra,'extra',$__default_widgets['extra'],$j).
-'</div>'.
-'<ul class="sortable-delete"></ul>';
+'</div>';
 
 # Custom sidebar
@@ -235,6 +232,5 @@
 '<div id="sidebarCustom" class="widgets fieldset">'.
 sidebarWidgets('dndcustom',__('Custom sidebar'),$widgets_custom,'custom',$__default_widgets['custom'],$j).
-'</div>'.
-'<ul class="sortable-delete"></ul>';
+'</div>';
 
 echo
@@ -315,5 +311,5 @@
 function sidebarWidgets($id,$title,$widgets,$pr,$default_widgets,&$j)
 {
-	$res = '<h3>'.$title.'</h3>';
+	$res = '<h3>'.$title.'</h3><div id="'.$id.'">';
 	
 	if (!($widgets instanceof dcWidgets))
@@ -324,9 +320,5 @@
 	if ($widgets->isEmpty()) {
 		$res .= '<p class="empty-widgets">'.__('No widget.').'</p>';
-	} else {
-		$res .= '<p class="empty-widgets" style="display: none;">'.__('No widget.').'</p>';
-	}
-	
-	$res .= '<ul id="'.$id.'" class="connected">';
+	}
 	
 	$i = 0;
@@ -336,12 +328,12 @@
 		
 		$res .=
-		'<li>'.form::hidden(array($iname.'[id]'),html::escapeHTML($w->id())).
-		'<p class="widget-name">'.form::field(array($iname.'[order]'),2,3,(string) $i,'js-hide','',0,'title="'.__('order').'"').' '.$w->name().
-		($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</p>'.
+		'<div>'.form::hidden(array($iname.'[id]'),html::escapeHTML($w->id())).
+		'<p class="widget-name">'.form::field(array($iname.'[order]'),2,3,(string) $i,'js-hide','',0,'title="'.__('order').'"').' '.
+		$w->name().($w->desc() != '' ? ' <!-- <span class="form-note">'.__($w->desc()).'</span> -->' : '').'</p>'.
 		'<p class="removeWidget js-remove"><label class="classic">'.
 		form::checkbox(array($iname.'[_rem]'),'1',0).' '.__('Remove widget').
 		'</label></p>'.
 		'<div class="widgetSettings">'.$w->formSettings($iname,$j).'</div>'.
-		'</li>';
+		'</div>';
 		
 		$i++;
@@ -349,5 +341,5 @@
 	}
 	
-	$res .= '</ul>';
+	$res .= '</div>';
 	
 	return $res;